View Issue Details

IDProjectCategoryView StatusLast Update
0000770luatexluatex bugpublic2015-11-03 09:27
ReporterdenisbitouzeAssigned ToHans Hagen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.70.1 
Target VersionFixed in Version0.85.0 
Summary0000770: Hyperlinks wrongly placed if rotated or in landscape mode
DescriptionHyperlinks are wrongly placed if rotated or in landscape mode: they are not on the text but at the end of the (vertical) "line"
Steps To ReproduceCompile with lualatex the following MCE:

\documentclass{article}
\usepackage{graphicx}
\usepackage{hyperref}
\begin{document}
\begin{landscape}
  \href{http://www.luatex.org/}{LuaTeX home page}
\end{landscape}
\newpage
\rotatebox{90}{\href{http://www.luatex.org/}{LuaTeX home page}}
\end{document}
TagsNo tags attached.

Activities

Paul Isambert

2012-11-05 06:59

reporter   ~0000973

The problem comes from \pdfstartlink ... \pdfendlink, as can be seen by using:

  \pdfstartlink
    user {/Subtype/Link
          /A << /Type/Action /S/URI /URI(http://www.luatex.org) >> }
    LuaTeX
  \pdfendlink

Hans Hagen

2013-07-03 09:48

manager   ~0001103

most likely not a luatex issue but a latex issue: either the macro package must take scaling into acount, or it should use the matrix primitives to pass that info to the engine

oberdiek

2014-01-21 01:26

reporter   ~0001220

It is *not* a LaTeX or macro package issue. The following file for iniTeX works without macros. The result is correct for pdfTeX, but the link area is not correct for LuaTeX:

\catcode`\{=1
\catcode`\}=2
\ifx\directlua\undefined
\else
  \directlua{tex.enableprimitives('',tex.extraprimitives())}
\fi
\pdfoutput=1
\pdfobjcompresslevel=0
\pdfcompresslevel=0
\pdfhorigin=0pt
\pdfvorigin=0pt
\pdflinkmargin=2bp

\font\myfont=cmr12\relax
\myfont
\setbox0=\hbox{%
  A %
  \hbox{%
    \pdfstartlink attr{%
      /Border[0 0 2]%
      /H/I%
      /C[1 0 0]%
    } user{%
      /Subtype/Link%
      /A<<%
        /Type/Action%
        /S/URI%
        /URI(http://www.luatex.org/)%
      >>%
    }%
      LuaTeX%
    \pdfendlink
  } link%
}
\wd0=0pt
\ht0=0pt
\dp0=0pt
\pdfpageheight=100mm
\pdfpagewidth=50mm
\shipout\vbox to \pdfpageheight{%
  \hsize=\pdfpagewidth
  \vfill
  \hbox{%
    \kern10mm %
    \pdfsave
    \pdfsetmatrix{0 1 -1 0}%
    \copy0 %
    \pdfrestore
  }%
  \vfill
}
\csname @@end\endcsname\end

Issue History

Date Modified Username Field Change
2012-09-13 10:09 denisbitouze New Issue
2012-11-05 06:59 Paul Isambert Note Added: 0000973
2013-07-03 09:48 Hans Hagen Note Added: 0001103
2014-01-21 01:26 oberdiek Note Added: 0001220
2015-11-03 09:26 Hans Hagen Assigned To => Hans Hagen
2015-11-03 09:26 Hans Hagen Status new => assigned
2015-11-03 09:27 Hans Hagen Status assigned => closed
2015-11-03 09:27 Hans Hagen Resolution open => fixed
2015-11-03 09:27 Hans Hagen Fixed in Version => 0.85.0